Supported Go Versions

Stay organized with collections Save and categorize content based on your preferences.

Cloud Client Libraries for Go are compatible with at least the three most-recent major Go releases and are compatible with at least one GA runtime for App Engine and Cloud Functions. This means that Cloud Client Libraries for Go are compatible with all currently supported Go releases plus at least one additional release. For example, if the current Go release is Go 1.19, the Cloud Client Libraries are compatible with at least Go 1.19, Go 1.18, and Go 1.17. For more information on Cloud Client Libraries, see Client libraries explained.

For new development

When starting a new project, we recommend choosing the current release of Go if possible. This ensures that your runtime is within the supported Go releases and receives critical security patches.

Keeping production systems current

Keeping your production systems on supported Go runtimes is the best way to ensure that you receive critical security and bug fixes. Our Go Cloud Client Libraries increment a minor version when dropping compatibility with an earlier Go runtime version. For more information about the use of major and minor versions, see Semantic Versioning.

Where to find version information

To find out what Go versions are currently supported, see the google-cloud-go README.